Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class BlockType

    java.lang.Object
      com.sun.mdm.index.parser.BlockType

public class BlockType
extends java.lang.Object

Field Summary
`static java.lang.String` | `ATRID` atr id
`static java.lang.String` | `ATRNAME` atr name
`static java.lang.String` | `TAGBLOCKDEFINITION` block definition
`static java.lang.String` | `TAGBLOCKNUMBER` block number
`static java.lang.String` | `TAGEXACT` exact tag
`static java.lang.String` | `TAGFIELD` field tag
`static java.lang.String` | `TAGLENGTH` length tag
`static java.lang.String` | `TAGNYSIIS` nysiis tag
`static java.lang.String` | `TAGPRIORITY` priority tag
`static java.lang.String` | `TAGSOUNDEX` soundex tag
`static java.lang.String` | `TAGSTARTSWITH` startswith tag

Constructor Summary
`BlockType()` default constructor

Method Summary
`java.util.ArrayList` | `getBlockingRules()`
`java.lang.String` | `getBlockNumber()`
`(package private) void` | `parse(org.w3c.dom.Node node)` parse

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATRID

    public static final java.lang.String ATRID

  atr id

  See Also:
    Constant Field Values

### ATRNAME

    public static final java.lang.String ATRNAME

  atr name

  See Also:
    Constant Field Values

### TAGBLOCKDEFINITION

    public static final java.lang.String TAGBLOCKDEFINITION

  block definition

  See Also:
    Constant Field Values

### TAGBLOCKNUMBER

    public static final java.lang.String TAGBLOCKNUMBER

  block number

  See Also:
    Constant Field Values

### TAGEXACT

    public static final java.lang.String TAGEXACT

  exact tag

  See Also:
    Constant Field Values

### TAGFIELD

    public static final java.lang.String TAGFIELD

  field tag

  See Also:
    Constant Field Values

### TAGLENGTH

    public static final java.lang.String TAGLENGTH

  length tag

  See Also:
    Constant Field Values

### TAGNYSIIS

    public static final java.lang.String TAGNYSIIS

  nysiis tag

  See Also:
    Constant Field Values

### TAGPRIORITY

    public static final java.lang.String TAGPRIORITY

  priority tag

  See Also:
    Constant Field Values

### TAGSOUNDEX

    public static final java.lang.String TAGSOUNDEX

  soundex tag

  See Also:
    Constant Field Values

### TAGSTARTSWITH

    public static final java.lang.String TAGSTARTSWITH

  startswith tag

  See Also:
    Constant Field Values

Constructor Detail

### BlockType

    public BlockType()

  default constructor

Method Detail

### getBlockingRules

    public java.util.ArrayList getBlockingRules()

  Returns:
    ArrayList array list

### getBlockNumber

    public java.lang.String getBlockNumber()

  Returns:
    String ret string

### parse

    void parse(org.w3c.dom.Node node)
         throws java.lang.NumberFormatException

  parse

  Parameters:
    `node` - Node
  Throws:
    `java.lang.NumberFormatException` - number format exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.